status {git2r} | R Documentation

## Status

### Description

Display state of the repository working directory and the staging area.

### Usage

    status(repo, staged = TRUE, unstaged = TRUE, untracked = TRUE,
      ignored = FALSE, all_untracked = FALSE, ...)

    ## S4 method for signature 'missing'
    status(repo, staged = TRUE, unstaged = TRUE,
      untracked = TRUE, ignored = FALSE, all_untracked = FALSE, ...)

    ## S4 method for signature 'git_repository'
    status(repo, staged = TRUE, unstaged = TRUE,
      untracked = TRUE, ignored = FALSE, all_untracked = FALSE, ...)

### Arguments

`repo` | The repository `object` `git_repository` to get status from. If the `repo` argument is missing, the repository is searched for with `discover_repository` in the current working directory.
`staged` | Include staged files. Default TRUE.
`unstaged` | Include unstaged files. Default TRUE.
`untracked` | Include untracked files and directories. Default TRUE.
`ignored` | Include ignored files. Default FALSE.
`all_untracked` | Shows individual files in untracked directories if `untracked` is `TRUE`.
`...` | Additional arguments to status.

### Value

S3 class `git_status` with repository status

### Examples

    ## Not run:
    ## Initialize a repository
    path <- tempfile(pattern="git2r-")
    dir.create(path)
    repo <- init(path)

    ## Config user
    config(repo, user.name="Alice", user.email="alice@example.org")

    ## Create a file
    writeLines("Hello world!", file.path(path, "test.txt"))

    ## Check status; untracked file
    status(repo)

    ## Add file
    add(repo, "test.txt")

    ## Check status; staged file
    status(repo)

    ## Commit
    commit(repo, "First commit message")

    ## Check status; clean
    status(repo)

    ## Change the file
    writeLines(c("Hello again!", "Here is a second line", "And a third"),
               file.path(path, "test.txt"))

    ## Check status; unstaged file
    status(repo)

    ## Add file and commit
    add(repo, "test.txt")
    commit(repo, "Second commit message")

    ## Check status; clean
    status(repo)

    ## End(Not run)

[Package git2r version 0.20.0 Index]